.chat-message {
	&.koboldworks.health-monitor {
		padding: 3px;

		header {
			gap: 3px;
		}

		&.healing {
			background: unset;
			background-color: #17863b;
			border-color: rgb(190, 220, 60);

			&.whisper {
				background-color: #386546;
				border-color: #ade0ad;
			}
		}

		&.damage {
			background: unset;
			background-color: #7b1d35;
			border-color: #ea3e3e;
			/* #de2c2c;*/

			&.whisper {
				background-color: #61313d;
				border-color: #ff9292;
			}
		}

		.healing-recipient,
		.message-sender {
			flex: unset;
			display: inline;
		}

		.healing-recipient {
			margin: 0;
			text-overflow: ellipsis;
			overflow: hidden;
		}

		.message-metadata {
			flex: 0.5 1 0.1em;
			color: #181817;
			text-align: right;

			$deleteOutline: white;

			.button {
				/*text-shadow: $deleteOutline -1px -1px 0px, $deleteOutline 1px -1px 0px, $deleteOutline -1px 1px 0px, $deleteOutline 1px 1px 0px;*/
				/*
					-webkit-text-stroke-width: 1px;
					-webkit-text-stroke-color: rgba(255, 255, 255, 0.9);
					*/
				color: #271919;

				&:hover {
					-webkit-text-stroke-width: 1px;
					-webkit-text-stroke-color: red;
				}
			}
		}

		.health-monitor {
			flex: unset;
		}

		.prime-message {
			display: inline-flex;
			flex-direction: row;
			flex: 5 0.5 8em;
			white-space: nowrap;
			$msgOutline: black;
			text-shadow: $msgOutline -1px -1px 0, $msgOutline 1px -1px 0,
				$msgOutline -1px 1px 0, $msgOutline 1px 1px 0;
			/*
				-webkit-text-stroke-width: 1px;
				-webkit-text-stroke-color: rgba(0, 0, 0, 0.5);
				*/
			color: white;
			text-align: center;
			font-size: 12px;
			overflow: hidden;
			//display: inline-flex;
			justify-content: center;
			place-items: center;
		}

		.message-metadata {
			flex: 0;
			white-space: nowrap;
		}

		&.healing {
			.message-metadata .message-delete {
				$binLightOutline: #96ffab;
				$binOutline: rgb(0, 255, 0);
				text-shadow: $binLightOutline -1px -1px 0, $binOutline 1px -1px 0,
					$binOutline -1px 1px 0, $binOutline 1px 1px 0;
				&:hover {
					$binLightOutlineHL: #62d3ff;
					$binOutlineHL: rgb(0, 119, 255);
					text-shadow: $binLightOutlineHL -1px -1px 0, $binOutlineHL 1px -1px 0,
						$binOutlineHL -1px 1px 0, $binOutlineHL 1px 1px 0;
				}
			}
		}

		&.damage {
			.message-metadata .message-delete {
				$binLightOutline: rgb(255, 111, 111);
				$binOutline: rgb(202, 0, 0);
				text-shadow: $binLightOutline -1px -1px 0, $binOutline 1px -1px 0,
					$binOutline -1px 1px 0, $binOutline 1px 1px 0;

				&:hover {
					$binLightOutlineHL: rgb(255, 241, 111);
					$binOutlineHL: rgb(255, 123, 0);
					text-shadow: $binLightOutlineHL -1px -1px 0, $binOutlineHL 1px -1px 0,
						$binOutlineHL -1px 1px 0, $binOutlineHL 1px 1px 0;
				}
			}
		}
	}
}
